DS_REMOVE_DIM_DESC(3)

FUNCTION
ds_remove_dim_desc - Remove dimension from an array.

SYNOPSIS
#include <karma_ds.h>

flag ds_remove_dim_desc

(array_desc *arr_desc, CONST char *dim_name)

DESCRIPTION
This routine will remove a dimension descriptor from an array descriptor. Tiling information is preserved, however, any address offset information is removed. With the exception of the dimension to be removed, the order of the dimensions is unaffected.

arr_desc
    The array descriptor.

name
    The name of the dimension to be removed.

RETURN VALUE
TRUE on success, else FALSE.

Multi-threading Level
Unsafe.

AUTHOR
Richard Gooch (rgooch@atnf.csiro.au)

AVAILABLITY
The Karma Distribution is available for anonymous ftp from: ftp://ftp.atnf.csiro.au/pub/software/karma/ ftp://wuarchive.wustl.edu/graphics/graphics/packages/karma/ ftp://ftp.pwr.wroc.pl/pub/karma/ The Karma Home Page is: http://www.atnf.csiro.au/karma/